Arquivo do mês: maio 2009

Desenhar Compartimentos

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; A partir de um compartimento inicial (retângulo) desenha outros desde que o desenho esteja fora do pto -1000,-1000. Basta entrar com a largura e a altura e … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Rotina para auxiliar o desenho de cortes

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Rotina para auxiliar o desenho de cortes. Basta escolher um ponto no espaço onde pretende desenhar o corte e depois ir clicando nos pontos de interseção das … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Copiar cotas de um arquivo

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Copia cotas de um arquivo a coloca no desenho e ainda permite que você mova o texto de forma que ele não fique sobreposto a algum objeto … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Distância acumulada exibida na linha de comando

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Você vai clicando nos “endpoints” de um conjunto de retas alinhadas e a distância acumulada vai sendo exibida na linha de comando. (defun c:SomarLinhas () (setq k … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Somar texto, rotacionar e copiar

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Somar texto, rotacionar e copiar (defun c:SomaRotCop () (setq kr 0) (setq n 1) (setq color 3) (while (= n 1) (setq ent (entsel)) (if ent (progn … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Escrever cota de um ponto e a distância em relação a outro ponto

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Escreve a cota do ponto inicial e a distância entre eles (você ainda poderá alinhar o texto na direção definida pelos pontos) (DEFUN C:CotarColetores () (command “cecolor” … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário

Gravar Comprimentos de Linhas em Arquivo TXT

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Selecione uma a uma as linhas de um desenho e os comprimentos delas vão sendo gravadas num arquivo de texto. (defun C:Comp2Arq ()(setq arq (open “C:\\Temporario\\testdist5.txt” “w”))(setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Autolisp, Desenho, Engenharia Civil | Deixe um comentário